tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.TDB.Query.C

# Documentation

data Condition Source

Constructors

QCSTREQ |
QCSTRINC |
QCSTRBW |
QCSTREW |
QCSTRAND |
QCSTROR |
QCSTROREQ |
QCSTRRX |
QCNUMEQ |
QCNUMGT |
QCNUMGE |
QCNUMLT |
QCNUMLE |
QCNUMBT |
QCNUMOREQ |
QCNEGATE Condition |
QCNOIDX Condition |

Instances

Eq Condition |
Ord Condition |
Show Condition |

data OrderType Source

Constructors

QOSTRASC |
QOSTRDESC |
QONUMASC |
QONUMDESC |

Instances

Eq OrderType |
Ord OrderType |
Show OrderType |

data PostTreatment m k v Source

Constructors

QPPUT (m k v) |
QPOUT |
QPNOP |
QPSTOP |

Instances

Eq (m k v) => Eq (PostTreatment m k v) |
Ord (m k v) => Ord (PostTreatment m k v) |
Show (m k v) => Show (PostTreatment m k v) |

condToCInt :: Condition -> CInt Source

orderToCInt :: OrderType -> CInt Source

ptToCInt :: PostTreatment m k v -> CInt Source

data TDBQRY Source

Constructors

TDBQRY |

Fields

unTDBQRY :: !(ForeignPtr QRY)
unTDBOBJ :: TDB

data QRY Source

c_tctdbqrynew :: Ptr TDB' -> IO (Ptr QRY)Source

c_tctdbqrydel :: Ptr QRY -> IO ()Source

tctdbqryFinalizer :: FunPtr (Ptr QRY -> IO ())Source

c_tctdbqryaddcond :: Ptr QRY -> CString -> CInt -> CString -> IO ()Source

c_tctdbqrysetorder :: Ptr QRY -> CString -> CInt -> IO ()Source

c_tctdbqrysetlimit :: Ptr QRY -> CInt -> CInt -> IO ()Source

c_tctdbqrysearch :: Ptr QRY -> IO (Ptr LIST)Source

c_tctdbqrysearchout :: Ptr QRY -> IO Bool Source

c_tctdbqryhint :: Ptr QRY -> IO CString Source

type TDBQRYPROC' = Ptr Word8 -> CInt -> Ptr MAP -> Ptr Word8 -> IO CInt Source

c_tctdbqryproc :: Ptr QRY -> FunPtr TDBQRYPROC' -> Ptr Word8 -> IO Bool Source

mkProc :: TDBQRYPROC' -> IO (FunPtr TDBQRYPROC')Source